{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% block content_full %}
<div class="page-header d-flex align-items-center news-page">
    <div class="pt-2 pb-2">
        <h1>All the news</h1>
    </div>
</div>
{% endblock %}
{% block content %}
    <div class="posts-container mt-2">
        {% if posts %}
            {% for post in posts %}
                <div class="post-item-container mt-2">
                    <div class="card">
                        <div class="card-body">
                            <div class="container">
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="p-2">
                                        <a href="{{ post.get_absolute_url }}" class="post-image"><img src="{{ post.image_url.url }}" alt="{{ post.title }}"></a>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <a href="{{ post.get_absolute_url }}"><h6 class="post-title">{{ post.title }}</h6></a>
                                    <p class="text-muted pt-2 pb-2">
                                        {% if post.company %}
                                            <a href="{% url 'companies' %}{{ post.company.slug }}"><span class="highlight">{{ post.company }}</span></a>
                                        {% elif post.ngo_or_npo %}
                                        <a href="{% url 'ngo-npo' %}{{ post.ngo_or_npo.slug }}"><span class="highlight">{{ post.ngo_or_npo }}</span></a>
                                        {% else %}
                                        <span class="highlight highlight-dark"></span>
                                        {% endif %}
                                        <span class="icon-tag"><i class="fas fa-calendar-alt"></i></span> {{ post.date_posted }}
                                    </p>
                                    <p class="text-muted pr-3">
                                        {{ post.expect }}...
                                    </p>
                                    <a href="{{ post.slug }}" class="btn btn-primary mt-2">read more</a>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        {% endif %}
    </div>
    <div class="pagination">
    <span class="step-links">
        {% if posts.has_previous %}
            <a href="?page=1" class="page-link">&laquo; first</a>
            <a href="?page={{ posts.previous_page_number }}">previous</a>
        {% endif %}

        <span class="current">
            Page {{ posts.number }} of {{ posts.paginator.num_pages }}.
        </span>

        {% if posts.has_next %}
            <a href="?page={{ posts.next_page_number }}" class="page-link">next</a>
            <a href="?page={{ posts.paginator.num_pages }}" class="page-link">last &raquo;</a>
        {% endif %}
    </span>
</div>

{% endblock %}

{% block sidebar %}
    {% include 'includes/sidebar.html' %}
{% endblock %}